Bug 248081 - isotostick doesn't support --skip-compression style isos
Summary: isotostick doesn't support --skip-compression style isos
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-13 03:36 UTC by Jane Dogalt
Modified: 2013-03-06 03:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 19:41:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jane Dogalt 2007-07-13 03:36:23 UTC
Description of problem:

the isotostick.sh/livecd-iso-to-stick doesn't support --skip-compression style
output generated by livecd-creator.

And it doesn't fail in a graceful way.

I can fix this myself and will sooner or later if no one else does.

One argument might be that it is an uninteresting corner case.  I think however
that as bigger and bigger flash gets cheaper and cheaper, it may become a more
popular thing to want to do.

Another argument is that typically the stick is a vfat and wouldn't support
sparse files, or large files.  Sparse files however could be supported by 
adding a container ext3 fs image.  And large files could be supported by 
creating a general framework for splitting large files into 1G chunks, which
are then stitched together with loopback devices and device mapper linear
layers.  That also seems very useful for dvd isos (or do bootable UDFs work
and support >2G files?).


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2007-07-16 19:41:41 UTC
Fixed to support them in git


Note You need to log in before you can comment on or make changes to this bug.